<html>
<head>
    <title>Vue JS Template</title>
    <script src="vue.js"></script>
</head>
    <div id="app">
        <h1>{{ title }}</h1>
        <button @click="title = 'Changed with event click'">Update Event</button>
        <button @click="destroyMenut">Destroy Event</button>
    </div>
    <script>
        new Vue({
            el: '#app',
            data: {
                title: "VueJS Instance Lifecycle",
            },
            beforeCreated: function() {
                console.log('beforeCreated!');
            },
            created: function() {
                console.log('created!');
            },
            beforeMounted: function() {
                console.log('beforeMounted!');
            },
            mounted: function() {
                console.log('mounted!');
            },
            beforeUpdated: function() {
                console.log('beforeUpdated!');
            },
            updated: function() {
                console.log('Updated!');
            },
            beforeDestroyed: function() {
                console.log('beforeDestroyed!');
            },
            destroyed: function() {
                console.log('destroyed!');
            },
            methods: {
                destroyEvent: function(){
                    this.$destroy();
                }
            }

        })
    </script>
</html>